]> Git Repo - u-boot.git/blame - .gitlab-ci.yml
cmd: thordown: Add proper dependency for CMD_THOR_DOWNLOAD
[u-boot.git] / .gitlab-ci.yml
CommitLineData
1a62a722
TR
1# SPDX-License-Identifier: GPL-2.0+
2
8b0b5017
PH
3variables:
4 DEFAULT_TAG: ""
74bcbb13 5 MIRROR_DOCKER: docker.io
8b0b5017
PH
6
7default:
8 tags:
9 - ${DEFAULT_TAG}
10
cb735173
JS
11# Grab our configured image. The source for this is found
12# in the u-boot tree at tools/docker/Dockerfile
453c3fb4 13image: ${MIRROR_DOCKER}/trini/u-boot-gitlab-ci-runner:jammy-20230804-25Aug2023
1a62a722
TR
14
15# We run some tests in different order, to catch some failures quicker.
16stages:
1a62a722 17 - testsuites
b29cb058 18 - test.py
1a62a722
TR
19 - world build
20
21.buildman_and_testpy_template: &buildman_and_testpy_dfn
1a62a722 22 stage: test.py
58b35850 23 retry: 2 # QEMU may be too slow, etc.
1a62a722
TR
24 before_script:
25 # Clone uboot-test-hooks
bd181a24 26 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
85ae52b9 27 - git clone --depth=1 https://source.denx.de/u-boot/u-boot-test-hooks /tmp/uboot-test-hooks
1a62a722
TR
28 - ln -s travis-ci /tmp/uboot-test-hooks/bin/`hostname`
29 - ln -s travis-ci /tmp/uboot-test-hooks/py/`hostname`
28a51234
TR
30 - grub-mkimage --prefix="" -o ~/grub_x86.efi -O i386-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
31 - grub-mkimage --prefix="" -o ~/grub_x64.efi -O x86_64-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
49fb28a4 32 - if [[ "${TEST_PY_BD}" == "qemu-riscv32_spl" ]]; then
0a8239af
BM
33 wget -O - https://github.com/riscv-software-src/opensbi/releases/download/v1.2/opensbi-1.2-rv-bin.tar.xz | tar -C /tmp -xJ;
34 export OPENSBI=/tmp/opensbi-1.2-rv-bin/share/opensbi/ilp32/generic/firmware/fw_dynamic.bin;
49fb28a4 35 fi
0e60b3a7 36 - if [[ "${TEST_PY_BD}" == "qemu-riscv64_spl" ]] || [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
0a8239af
BM
37 wget -O - https://github.com/riscv-software-src/opensbi/releases/download/v1.2/opensbi-1.2-rv-bin.tar.xz | tar -C /tmp -xJ;
38 export OPENSBI=/tmp/opensbi-1.2-rv-bin/share/opensbi/lp64/generic/firmware/fw_dynamic.bin;
49fb28a4 39 fi
b29cb058 40
1a62a722 41 after_script:
e5670730 42 - cp -v /tmp/${TEST_PY_BD}/*.{html,css} .
24df1b14 43 - rm -rf /tmp/uboot-test-hooks /tmp/venv
1a62a722 44 script:
dd5c954e 45 # If we've been asked to use clang only do one configuration.
4e32fed4 46 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/${TEST_PY_BD}
1aa168ca 47 - echo BUILD_ENV ${BUILD_ENV}
9cea4797
SG
48 - if [ -n "${BUILD_ENV}" ]; then
49 export ${BUILD_ENV};
50 fi
7ec1255c
SG
51 - tools/buildman/buildman -o ${UBOOT_TRAVIS_BUILD_DIR} -w -E -W -e
52 --board ${TEST_PY_BD} ${OVERRIDE}
82560ae2
HS
53 - cp ~/grub_x86.efi $UBOOT_TRAVIS_BUILD_DIR/
54 - cp ~/grub_x64.efi $UBOOT_TRAVIS_BUILD_DIR/
55 - cp /opt/grub/grubriscv64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_riscv64.efi
82560ae2
HS
56 - cp /opt/grub/grubaa64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm64.efi
57 - cp /opt/grub/grubarm.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm.efi
0e60b3a7
BM
58 # create sdcard / spi-nor images for sifive unleashed using genimage
59 - if [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
60 mkdir -p root;
61 cp ${UBOOT_TRAVIS_BUILD_DIR}/spl/u-boot-spl.bin .;
62 cp ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.itb .;
63 rm -rf tmp;
64 genimage --inputpath . --config board/sifive/unleashed/genimage_sdcard.cfg;
65 cp images/sdcard.img ${UBOOT_TRAVIS_BUILD_DIR}/;
66 rm -rf tmp;
67 genimage --inputpath . --config board/sifive/unleashed/genimage_spi-nor.cfg;
68 cp images/spi-nor.img ${UBOOT_TRAVIS_BUILD_DIR}/;
69 fi
bfb2a7fb
SG
70 - if [[ "${TEST_PY_BD}" == "coreboot" ]]; then
71 wget -O -
c60e6a24 72 "https://drive.google.com/uc?id=1uJ2VkUQ8czWFZmhJQ90Tp8V_zrJ6BrBH&export=download" |
bfb2a7fb
SG
73 xz -dc >${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom;
74 wget -O -
75 "https://drive.google.com/uc?id=149Cz-5SZXHNKpi9xg6R_5XITWohu348y&export=download" >
76 cbfstool;
77 chmod a+x cbfstool;
78 ./cbfstool ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom add-flat-binary -f ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.bin -n fallback/payload -c LZMA -l 0x1110000 -e 0x1110000;
79 fi
085b8978
TR
80 - virtualenv -p /usr/bin/python3 /tmp/venv
81 - . /tmp/venv/bin/activate
82 - pip install -r test/py/requirements.txt
4080d097 83 # "${var:+"-k $var"}" expands to "" if $var is empty, "-k $var" if not
4e32fed4 84 - export PATH=/opt/qemu/bin:/tmp/uboot-test-hooks/bin:${PATH};
1a62a722 85 export PYTHONPATH=/tmp/uboot-test-hooks/py/travis-ci;
f3092473 86 ./test/py/test.py -ra --bd ${TEST_PY_BD} ${TEST_PY_ID}
4080d097 87 ${TEST_PY_TEST_SPEC:+"-k ${TEST_PY_TEST_SPEC}"}
cec1e856 88 --build-dir "$UBOOT_TRAVIS_BUILD_DIR"
e5670730
MV
89 artifacts:
90 when: always
91 paths:
92 - "*.html"
93 - "*.css"
94 expire_in: 1 week
1a62a722 95
a11cb57d 96build all 32bit ARM platforms:
1a62a722
TR
97 stage: world build
98 script:
99 - ret=0;
bd181a24 100 git config --global --add safe.directory "${CI_PROJECT_DIR}";
f586cdae 101 pip install -r tools/buildman/requirements.txt;
d7713ad3 102 ./tools/buildman/buildman -o /tmp -PEWM arm -x aarch64 || ret=$?;
dd5c954e 103 if [[ $ret -ne 0 ]]; then
b52f5a19 104 ./tools/buildman/buildman -o /tmp -seP;
4c749971
TR
105 exit $ret;
106 fi;
9f7bda10 107
a11cb57d 108build all 64bit ARM platforms:
9f7bda10
TR
109 stage: world build
110 script:
26a426a1 111 - virtualenv -p /usr/bin/python3 /tmp/venv
f0db8395 112 - . /tmp/venv/bin/activate
9f7bda10 113 - ret=0;
bd181a24 114 git config --global --add safe.directory "${CI_PROJECT_DIR}";
f586cdae 115 pip install -r tools/buildman/requirements.txt;
d7713ad3 116 ./tools/buildman/buildman -o /tmp -PEWM aarch64 || ret=$?;
dd5c954e 117 if [[ $ret -ne 0 ]]; then
b52f5a19 118 ./tools/buildman/buildman -o /tmp -seP;
4c749971
TR
119 exit $ret;
120 fi;
9f7bda10 121
a11cb57d 122build all PowerPC platforms:
9f7bda10
TR
123 stage: world build
124 script:
125 - ret=0;
bd181a24 126 git config --global --add safe.directory "${CI_PROJECT_DIR}";
dd5c954e
SG
127 ./tools/buildman/buildman -o /tmp -P -E -W powerpc || ret=$?;
128 if [[ $ret -ne 0 ]]; then
b52f5a19 129 ./tools/buildman/buildman -o /tmp -seP;
4c749971
TR
130 exit $ret;
131 fi;
9f7bda10 132
a11cb57d 133build all other platforms:
9f7bda10
TR
134 stage: world build
135 script:
136 - ret=0;
bd181a24 137 git config --global --add safe.directory "${CI_PROJECT_DIR}";
d7713ad3 138 ./tools/buildman/buildman -o /tmp -PEWM -x arm,powerpc || ret=$?;
dd5c954e 139 if [[ $ret -ne 0 ]]; then
b52f5a19 140 ./tools/buildman/buildman -o /tmp -seP;
4c749971
TR
141 exit $ret;
142 fi;
1a62a722 143
bb9b9c1e 144check for new CONFIG symbols outside Kconfig:
c1a7de57
TR
145 stage: testsuites
146 script:
bb9b9c1e
TR
147 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
148 # If grep succeeds and finds a match the test fails as we should
149 # have no matches.
150 - git grep -E '^#[[:blank:]]*(define|undef)[[:blank:]]*CONFIG_'
a03efb6f
TR
151 :^doc/ :^arch/arm/dts/ :^scripts/kconfig/lkc.h
152 :^include/linux/kconfig.h :^tools/ && exit 1 || exit 0
c1a7de57 153
e9cc7029
HS
154# build documentation
155docs:
3eb7b78b
HS
156 stage: testsuites
157 script:
836049d6
HS
158 - virtualenv -p /usr/bin/python3 /tmp/venvhtml
159 - . /tmp/venvhtml/bin/activate
160 - pip install -r doc/sphinx/requirements.txt
8a6414d1 161 - make htmldocs KDOC_WERROR=1
e9cc7029 162 - make infodocs
3eb7b78b 163
1a62a722
TR
164# ensure all configs have MAINTAINERS entries
165Check for configs without MAINTAINERS entry:
1a62a722
TR
166 stage: testsuites
167 script:
1b21842e 168 - ./tools/buildman/buildman --maintainer-check || exit 0
1a62a722
TR
169
170# Ensure host tools build
562ed115 171Build tools-only and envtools:
1a62a722
TR
172 stage: testsuites
173 script:
562ed115
TR
174 - make tools-only_config tools-only -j$(nproc);
175 make mrproper;
176 make tools-only_config envtools -j$(nproc)
1f3910da 177
7261833f 178Run binman, buildman, dtoc, Kconfig and patman testsuites:
1a62a722
TR
179 stage: testsuites
180 script:
d7ae9321
TR
181 - git config --global user.name "GitLab CI Runner";
182 git config --global user.email [email protected];
b6d4e085 183 git config --global --add safe.directory "${CI_PROJECT_DIR}";
d7ae9321 184 export USER=gitlab;
26a426a1 185 virtualenv -p /usr/bin/python3 /tmp/venv;
d7ae9321 186 . /tmp/venv/bin/activate;
38229b55 187 pip install -r test/py/requirements.txt;
f586cdae 188 pip install -r tools/buildman/requirements.txt;
48f792e3 189 export UBOOT_TRAVIS_BUILD_DIR=/tmp/tools-only;
d7ae9321
TR
190 export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt";
191 export PATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc:${PATH}";
b6d4e085 192 set +e;
6c914e42 193 ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
48f792e3 194 --board tools-only;
b6d4e085 195 set -e;
d7ae9321
TR
196 ./tools/binman/binman --toolpath ${UBOOT_TRAVIS_BUILD_DIR}/tools test;
197 ./tools/buildman/buildman -t;
198 ./tools/dtoc/dtoc -t;
6bb74de7 199 ./tools/patman/patman test;
7261833f 200 make testconfig
1a62a722 201
6cfd09d4 202Run tests for Nokia RX-51 (aka N900):
6cfd09d4
T
203 stage: testsuites
204 script:
ce0f745c
T
205 - mkdir nokia_rx51_tmp;
206 ln -s /opt/nokia/u-boot-gen-combined nokia_rx51_tmp/;
207 ln -s /opt/nokia/qemu-n900.tar.gz nokia_rx51_tmp/;
208 ln -s /opt/nokia/kernel_2.6.28-20103103+0m5_armel.deb nokia_rx51_tmp/;
209 ln -s /opt/nokia/libc6_2.5.1-1eglibc27+0m5_armel.deb nokia_rx51_tmp/;
210 ln -s /opt/nokia/busybox_1.10.2.legal-1osso30+0m5_armel.deb nokia_rx51_tmp/;
211 ln -s /opt/nokia/qemu-system-arm nokia_rx51_tmp/;
11934281 212 export PATH=/opt/gcc-13.2.0-nolibc/arm-linux-gnueabi/bin:$PATH;
6cfd09d4
T
213 test/nokia_rx51_test.sh
214
642e51ad
SG
215# Check for any pylint regressions
216Run pylint:
217 stage: testsuites
218 script:
b6d4e085 219 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
642e51ad 220 - pip install -r test/py/requirements.txt
f586cdae 221 - pip install -r tools/buildman/requirements.txt
e47bbf7e 222 - pip install asteval pylint==2.12.2 pyopenssl
642e51ad
SG
223 - export PATH=${PATH}:~/.local/bin
224 - echo "[MASTER]" >> .pylintrc
225 - echo "load-plugins=pylint.extensions.docparams" >> .pylintrc
48f792e3 226 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/tools-only
b6d4e085 227 - set +e
642e51ad 228 - ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
48f792e3 229 --board tools-only
b6d4e085 230 - set -e
642e51ad
SG
231 - pylint --version
232 - export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt"
233 - make pylint_err
234
441a3d0a
SG
235# Check for pre-schema driver model tags
236Check for pre-schema tags:
237 stage: testsuites
238 script:
239 - git config --global --add safe.directory "${CI_PROJECT_DIR}";
240 # If grep succeeds and finds a match the test fails as we should
241 # have no matches.
242 - git grep u-boot,dm- -- '*.dts*' && exit 1 || exit 0
243
c21a5286
SG
244# Check we can package the Python tools
245Check packing of Python tools:
246 stage: testsuites
247 script:
248 - make pip
249
1a62a722
TR
250# Test sandbox with test.py
251sandbox test.py:
1a62a722
TR
252 variables:
253 TEST_PY_BD: "sandbox"
1a62a722
TR
254 <<: *buildman_and_testpy_dfn
255
0219d014 256sandbox with clang test.py:
0219d014
TR
257 variables:
258 TEST_PY_BD: "sandbox"
d7e0678c 259 OVERRIDE: "-O clang-16"
0219d014
TR
260 <<: *buildman_and_testpy_dfn
261
1aa168ca
SG
262sandbox without LTO test.py:
263 variables:
264 TEST_PY_BD: "sandbox"
265 BUILD_ENV: "NO_LTO=1"
266 <<: *buildman_and_testpy_dfn
267
c807bdd0
MV
268sandbox64 test.py:
269 variables:
270 TEST_PY_BD: "sandbox64"
271 <<: *buildman_and_testpy_dfn
272
273sandbox64 with clang test.py:
274 variables:
275 TEST_PY_BD: "sandbox64"
276 OVERRIDE: "-O clang-16"
277 <<: *buildman_and_testpy_dfn
278
279sandbox64 without LTO test.py:
280 variables:
281 TEST_PY_BD: "sandbox64"
282 BUILD_ENV: "NO_LTO=1"
283 <<: *buildman_and_testpy_dfn
284
1a62a722 285sandbox_spl test.py:
1a62a722
TR
286 variables:
287 TEST_PY_BD: "sandbox_spl"
afb26ba9 288 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
1a62a722
TR
289 <<: *buildman_and_testpy_dfn
290
6c914e42 291sandbox_noinst_test.py:
6c914e42
SG
292 variables:
293 TEST_PY_BD: "sandbox_noinst"
294 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
295 <<: *buildman_and_testpy_dfn
296
a31eff30
SG
297sandbox_vpl test.py:
298 variables:
299 TEST_PY_BD: "sandbox_vpl"
8b609878 300 TEST_PY_TEST_SPEC: "vpl or test_spl"
a31eff30 301 <<: *buildman_and_testpy_dfn
9cea4797
SG
302
303# Enable tracing and disable LTO, to ensure functions are not elided
304sandbox trace_test.py:
305 variables:
306 TEST_PY_BD: "sandbox"
307 BUILD_ENV: "FTRACE=1 NO_LTO=1"
308 TEST_PY_TEST_SPEC: "trace"
61cad8da 309 OVERRIDE: "-a CONFIG_TRACE=y -a CONFIG_TRACE_EARLY=y -a CONFIG_TRACE_EARLY_SIZE=0x01000000 -a CONFIG_TRACE_BUFFER_SIZE=0x02000000"
9cea4797 310 <<: *buildman_and_testpy_dfn
a31eff30 311
699c0b93 312evb-ast2500 test.py:
699c0b93
TR
313 variables:
314 TEST_PY_BD: "evb-ast2500"
315 TEST_PY_ID: "--id qemu"
699c0b93
TR
316 <<: *buildman_and_testpy_dfn
317
b24087ae
JS
318evb-ast2600 test.py:
319 variables:
320 TEST_PY_BD: "evb-ast2600"
321 TEST_PY_ID: "--id qemu"
322 <<: *buildman_and_testpy_dfn
323
1a62a722 324sandbox_flattree test.py:
1a62a722
TR
325 variables:
326 TEST_PY_BD: "sandbox_flattree"
1a62a722
TR
327 <<: *buildman_and_testpy_dfn
328
15e30106
KA
329vexpress_ca9x4 test.py:
330 variables:
331 TEST_PY_BD: "vexpress_ca9x4"
332 TEST_PY_ID: "--id qemu"
333 <<: *buildman_and_testpy_dfn
334
1a62a722 335integratorcp_cm926ejs test.py:
1a62a722
TR
336 variables:
337 TEST_PY_BD: "integratorcp_cm926ejs"
338 TEST_PY_TEST_SPEC: "not sleep"
339 TEST_PY_ID: "--id qemu"
1a62a722
TR
340 <<: *buildman_and_testpy_dfn
341
342qemu_arm test.py:
1a62a722
TR
343 variables:
344 TEST_PY_BD: "qemu_arm"
345 TEST_PY_TEST_SPEC: "not sleep"
1a62a722
TR
346 <<: *buildman_and_testpy_dfn
347
348qemu_arm64 test.py:
1a62a722
TR
349 variables:
350 TEST_PY_BD: "qemu_arm64"
351 TEST_PY_TEST_SPEC: "not sleep"
1a62a722 352 <<: *buildman_and_testpy_dfn
a21e1123
MV
353
354qemu_m68k test.py:
355 variables:
356 TEST_PY_BD: "M5208EVBE"
357 TEST_PY_ID: "--id qemu"
358 TEST_PY_TEST_SPEC: "not sleep and not efi"
359 OVERRIDE: "-a CONFIG_M68K_QEMU=y -a ~CONFIG_MCFTMR"
360 <<: *buildman_and_testpy_dfn
1a62a722 361
d8533167 362qemu_malta test.py:
d8533167
DS
363 variables:
364 TEST_PY_BD: "malta"
365 TEST_PY_TEST_SPEC: "not sleep and not efi"
366 TEST_PY_ID: "--id qemu"
367 <<: *buildman_and_testpy_dfn
368
369qemu_maltael test.py:
d8533167
DS
370 variables:
371 TEST_PY_BD: "maltael"
372 TEST_PY_TEST_SPEC: "not sleep and not efi"
373 TEST_PY_ID: "--id qemu"
374 <<: *buildman_and_testpy_dfn
375
376qemu_malta64 test.py:
d8533167
DS
377 variables:
378 TEST_PY_BD: "malta64"
379 TEST_PY_TEST_SPEC: "not sleep and not efi"
380 TEST_PY_ID: "--id qemu"
381 <<: *buildman_and_testpy_dfn
382
383qemu_malta64el test.py:
d8533167
DS
384 variables:
385 TEST_PY_BD: "malta64el"
386 TEST_PY_TEST_SPEC: "not sleep and not efi"
387 TEST_PY_ID: "--id qemu"
388 <<: *buildman_and_testpy_dfn
389
1a62a722 390qemu-ppce500 test.py:
1a62a722
TR
391 variables:
392 TEST_PY_BD: "qemu-ppce500"
393 TEST_PY_TEST_SPEC: "not sleep"
1a62a722
TR
394 <<: *buildman_and_testpy_dfn
395
a379d330 396qemu-riscv32 test.py:
a379d330
BM
397 variables:
398 TEST_PY_BD: "qemu-riscv32"
399 TEST_PY_TEST_SPEC: "not sleep"
a379d330
BM
400 <<: *buildman_and_testpy_dfn
401
7298d82d 402qemu-riscv64 test.py:
7298d82d
TR
403 variables:
404 TEST_PY_BD: "qemu-riscv64"
405 TEST_PY_TEST_SPEC: "not sleep"
49fb28a4
BM
406 <<: *buildman_and_testpy_dfn
407
408qemu-riscv32_spl test.py:
49fb28a4
BM
409 variables:
410 TEST_PY_BD: "qemu-riscv32_spl"
411 TEST_PY_TEST_SPEC: "not sleep"
49fb28a4
BM
412 <<: *buildman_and_testpy_dfn
413
414qemu-riscv64_spl test.py:
49fb28a4
BM
415 variables:
416 TEST_PY_BD: "qemu-riscv64_spl"
417 TEST_PY_TEST_SPEC: "not sleep"
7298d82d
TR
418 <<: *buildman_and_testpy_dfn
419
1a62a722 420qemu-x86 test.py:
1a62a722
TR
421 variables:
422 TEST_PY_BD: "qemu-x86"
423 TEST_PY_TEST_SPEC: "not sleep"
1a62a722
TR
424 <<: *buildman_and_testpy_dfn
425
426qemu-x86_64 test.py:
1a62a722
TR
427 variables:
428 TEST_PY_BD: "qemu-x86_64"
429 TEST_PY_TEST_SPEC: "not sleep"
1a62a722
TR
430 <<: *buildman_and_testpy_dfn
431
0e125756 432r2dplus_i82557c test.py:
0e125756
MV
433 variables:
434 TEST_PY_BD: "r2dplus"
435 TEST_PY_ID: "--id i82557c_qemu"
436 <<: *buildman_and_testpy_dfn
437
438r2dplus_pcnet test.py:
0e125756
MV
439 variables:
440 TEST_PY_BD: "r2dplus"
441 TEST_PY_ID: "--id pcnet_qemu"
442 <<: *buildman_and_testpy_dfn
443
444r2dplus_rtl8139 test.py:
0e125756
MV
445 variables:
446 TEST_PY_BD: "r2dplus"
447 TEST_PY_ID: "--id rtl8139_qemu"
448 <<: *buildman_and_testpy_dfn
449
450r2dplus_tulip test.py:
0e125756
MV
451 variables:
452 TEST_PY_BD: "r2dplus"
453 TEST_PY_ID: "--id tulip_qemu"
454 <<: *buildman_and_testpy_dfn
455
0e60b3a7
BM
456sifive_unleashed_sdcard test.py:
457 variables:
458 TEST_PY_BD: "sifive_unleashed"
459 TEST_PY_ID: "--id sdcard_qemu"
460 <<: *buildman_and_testpy_dfn
461
462sifive_unleashed_spi-nor test.py:
463 variables:
464 TEST_PY_BD: "sifive_unleashed"
465 TEST_PY_ID: "--id spi-nor_qemu"
466 <<: *buildman_and_testpy_dfn
467
f7c6ee7f 468xilinx_zynq_virt test.py:
1a62a722 469 variables:
f7c6ee7f 470 TEST_PY_BD: "xilinx_zynq_virt"
1a62a722 471 TEST_PY_TEST_SPEC: "not sleep"
1a62a722 472 TEST_PY_ID: "--id qemu"
1a62a722
TR
473 <<: *buildman_and_testpy_dfn
474
475xilinx_versal_virt test.py:
1a62a722
TR
476 variables:
477 TEST_PY_BD: "xilinx_versal_virt"
478 TEST_PY_TEST_SPEC: "not sleep"
1a62a722 479 TEST_PY_ID: "--id qemu"
1a62a722
TR
480 <<: *buildman_and_testpy_dfn
481
482xtfpga test.py:
1a62a722
TR
483 variables:
484 TEST_PY_BD: "xtfpga"
485 TEST_PY_TEST_SPEC: "not sleep"
1a62a722 486 TEST_PY_ID: "--id qemu"
1a62a722 487 <<: *buildman_and_testpy_dfn
bfb2a7fb
SG
488
489coreboot test.py:
490 variables:
491 TEST_PY_BD: "coreboot"
492 TEST_PY_TEST_SPEC: "not sleep"
493 TEST_PY_ID: "--id qemu"
bfb2a7fb 494 <<: *buildman_and_testpy_dfn
This page took 0.163815 seconds and 4 git commands to generate.